import { ElementRef, OnInit, OnDestroy } from '@angular/core';
import { NgClass } from '@angular/common';
import { NgbTooltip } from '@ng-bootstrap/ng-bootstrap';
import * as Clipboard from 'clipboard';
export declare class ClipboardComponent implements OnInit, OnDestroy {
    tooltip: NgbTooltip;
    triggerEl: ElementRef;
    buttonText: string;
    target: string;
    textToCopy: string;
    buttonClass: NgClass;
    clipboard: Clipboard;
    ngOnInit(): void;
    showSuccessTooltip(): void;
    showFailureTooltip(): void;
    ngOnDestroy(): void;
}
